--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -6499,75 +7743,93 @@
 	03f7  MCP61 SATA Controller
 	0400  G84 [GeForce 8600 GTS]
 		1043 8241  EN8600GTS
-	0401  G84 [GeForce 8600GT]
+	0401  G84 [GeForce 8600 GT]
 	0402  G84 [GeForce 8600 GT]
 		1458 3455  GV-NX86T512H
 		1462 0910  NX8600GT-T2D256EZ
 	0403  G84 [GeForce 8600 GS]
 	0404  G84 [GeForce 8400 GS]
 		1462 1230  NX8400GS-TD256E
-	0405  G84 [GeForce 9500M GS]
+	0405  G84M [GeForce 9500M GS]
 	0406  G84 [GeForce 8300 GS]
-	0407  G84 [GeForce 8600M GT]
-	0408  G84 [GeForce 9650M GS]
-	0409  G84 [GeForce 8700M GT]
-	040a  G84 [Quadro FX 370]
-	040b  G84M [Quadro NVS 320M]
-	040c  G84M [Quadro FX 570M]
+	0407  G84M [GeForce 8600M GT]
+	0408  G84M [GeForce 9650M GS]
+	0409  G84M [GeForce 8700M GT]
+	040a  G84GL [Quadro FX 370]
+	040b  G84GLM [Quadro NVS 320M]
+	040c  G84GLM [Quadro FX 570M]
 		17aa 20d9  ThinkPad T61p
-	040d  G84 [Quadro FX 1600M]
-	040e  G84 [Quadro FX 570]
-	040f  G84 [Quadro FX 1700]
+	040d  G84GLM [Quadro FX 1600M]
+	040e  G84GL [Quadro FX 570]
+	040f  G84GL [Quadro FX 1700]
 	0410  G92 [GeForce GT 330]
+	0414  G92 [GeForce 9800 GT]
 	0420  G86 [GeForce 8400 SE]
 	0421  G86 [GeForce 8500 GT]
 		1462 0960  NX8500GT-TD512EH/M2
 	0422  G86 [GeForce 8400 GS]
 	0423  G86 [GeForce 8300 GS]
 	0424  G86 [GeForce 8400 GS]
-	0425  G86 [GeForce 8600M GS]
+	0425  G86M [GeForce 8600M GS]
 		1025 0121  Aspire 5920G
-	0426  G86 [GeForce 8400M GT]
-	0427  G86 [GeForce 8400M GS]
+	0426  G86M [GeForce 8400M GT]
+	0427  G86M [GeForce 8400M GS]
 		103c 30cc  Pavilion dv6700
-	0428  G86 [GeForce 8400M G]
-	0429  G86 [Quadro NVS 140M]
+		103c 30cf  Pavilion dv9668eg Laptop
+	0428  G86M [GeForce 8400M G]
+	0429  G86M [Quadro NVS 140M]
 		17aa 20d8  ThinkPad T61
 	042a  G86M [Quadro NVS 130M]
 	042b  G86M [Quadro NVS 135M]
 	042c  G86 [GeForce 9400 GT]
-	042d  G86M [Quadro FX 360M]
-	042e  G86 [GeForce 9300M G]
+	042d  G86GLM [Quadro FX 360M]
+	042e  G86M [GeForce 9300M G]
 	042f  G86 [Quadro NVS 290]
 	0440  MCP65 LPC Bridge
 	0441  MCP65 LPC Bridge
 	0442  MCP65 LPC Bridge
+		103c 30cf  Pavilion dv9668eg Laptop
 	0443  MCP65 LPC Bridge
 	0444  MCP65 Memory Controller
+		103c 30cf  Pavilion dv9668eg Laptop
 	0445  MCP65 Memory Controller
 	0446  MCP65 SMBus
+		103c 30cf  Pavilion dv9668eg Laptop
 	0447  MCP65 SMU
+		103c 30cf  Pavilion dv9668eg Laptop
 	0448  MCP65 IDE
+		103c 30cf  Pavilion dv9668eg Laptop
 	0449  MCP65 PCI bridge
+		10de cb84  HP Pavilion dv9668eg Laptop
 	044a  MCP65 High Definition Audio
+		103c 30cf  Pavilion dv9668eg Laptop
 	044b  MCP65 High Definition Audio
 	044c  MCP65 AHCI Controller
 	044d  MCP65 AHCI Controller
 	044e  MCP65 AHCI Controller
 	044f  MCP65 AHCI Controller
 	0450  MCP65 Ethernet
+		103c 30cf  Pavilion dv9668eg Laptop
 	0451  MCP65 Ethernet
 	0452  MCP65 Ethernet
 	0453  MCP65 Ethernet
-	0454  MCP65 USB Controller
-	0455  MCP65 USB Controller
+	0454  MCP65 USB 1.1 OHCI Controller
+		103c 30cf  Pavilion dv9668eg Laptop
+	0455  MCP65 USB 2.0 EHCI Controller
+		103c 30cf  Pavilion dv9668eg Laptop
 	0456  MCP65 USB Controller
 	0457  MCP65 USB Controller
 	0458  MCP65 PCI Express bridge
+		10de 0000  MCP65 PCI Express bridge
 	0459  MCP65 PCI Express bridge
+		10de 0000  MCP65 PCI Express bridge
 	045a  MCP65 PCI Express bridge
+		10de 0000  MCP65 PCI Express bridge
+	045b  MCP65 PCI Express bridge
+		10de 0000  MCP65 PCI Express bridge
 	045c  MCP65 SATA Controller
 	045d  MCP65 SATA Controller
+		103c 30cf  Pavilion dv9668eg Laptop
 	045e  MCP65 SATA Controller
 	045f  MCP65 SATA Controller
 	0531  C67 [GeForce 7150M / nForce 630M]
@@ -6590,7 +7852,6 @@
 		1849 054c  ALiveNF7G-HDready, MCP67 Gigabit Ethernet
 	054d  MCP67 Ethernet
 	054e  MCP67 Ethernet
-# forcedeth source code from Nvidi
 	054f  MCP67 Ethernet
 	0550  MCP67 AHCI Controller
 		1043 8308  M2N68-AM Motherboard
@@ -6612,10 +7873,12 @@
 		1849 0562  ALiveNF7G-HDready
 	0563  MCP67 PCI Express Bridge
 	0568  MCP78S [GeForce 8200] Memory Controller
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 0568  K10N78FullHD-hSLI R3.0 Memory Controller
 	0569  MCP78S [GeForce 8200] PCI Express Bridge
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 0569  K10N78FullHD-hSLI R3.0 PCI Express Bridge
@@ -6635,41 +7898,42 @@
 	05be  NF200 PCIe 2.0 switch for Quadro Plex S4 / Tesla S870 / Tesla S1070 / Tesla S2050
 	05e0  GT200b [GeForce GTX 295]
 	05e1  GT200 [GeForce GTX 280]
-# GT200 [GTX 260] or GT200 [GTX 260-216] or GT200b [GTX 260-216]
 	05e2  GT200 [GeForce GTX 260]
 	05e3  GT200b [GeForce GTX 285]
+		1682 2490  GX-285N-ZDF
 	05e6  GT200b [GeForce GTX 275]
-# Found in GPU server Tesla S1070
-	05e7  GT200 [Tesla C1060]
+	05e7  GT200GL [Tesla C1060 / M1060]
 	05ea  GT200 [GeForce GTX 260]
 	05eb  GT200 [GeForce GTX 295]
 	05ed  GT200GL [Quadro Plex 2200 D2]
+	05f1  GT200 [GeForce GTX 280]
+	05f2  GT200 [GeForce GTX 260]
 	05f8  GT200GL [Quadro Plex 2200 S4]
 	05f9  GT200GL [Quadro CX]
 	05fd  GT200GL [Quadro FX 5800]
 	05fe  GT200GL [Quadro FX 4800]
-	05ff  GT200GL [NVIDIA Quadro FX 3800]
+	05ff  GT200GL [Quadro FX 3800]
 	0600  G92 [GeForce 8800 GTS 512]
 	0601  G92 [GeForce 9800 GT]
 	0602  G92 [GeForce 8800 GT]
-	0603  G92 [GeForce GT 230]
+	0603  G92 [GeForce GT 230 OEM]
 	0604  G92 [GeForce 9800 GX2]
 	0605  G92 [GeForce 9800 GT]
 	0606  G92 [GeForce 8800 GS]
 	0607  G92 [GeForce GTS 240]
-	0608  G92 [GeForce 9800M GTX]
-	0609  G92 [GeForce 8800M GTS]
-	060a  GT200 [GeForce GTX 280M]
-	060b  G92 [GeForce 9800M GT]
-	060c  G92 [GeForce 8800M GTX]
+	0608  G92M [GeForce 9800M GTX]
+	0609  G92M [GeForce 8800M GTS]
+	060a  G92M [GeForce GTX 280M]
+	060b  G92M [GeForce 9800M GT]
+	060c  G92M [GeForce 8800M GTX]
 	060d  G92 [GeForce 8800 GS]
-	060f  G92 [GeForce GTX 285M]
+	060f  G92M [GeForce GTX 285M]
 	0610  G92 [GeForce 9600 GSO]
 		1682 2385  GeForce 9600 GSO 768mb
 	0611  G92 [GeForce 8800 GT]
 		107d 2ab0  Winfast PX8800 GT PCI-E
 		19da 1040  ZT-88TES2P-FSP
-	0612  G92 [GeForce 9800 GTX]
+	0612  G92 [GeForce 9800 GTX / 9800 GTX+]
 	0613  G92 [GeForce 9800 GTX+]
 	0614  G92 [GeForce 9800 GT]
 		107d 2ab3  WinFast PX9800 GT (S-Fanpipe)
@@ -6680,15 +7944,17 @@
 		3842 1155  GeForce GTS 250 P/N 01G-P3-1155-TR
 # Overclocked
 		3842 1156  GeForce GTS 250 P/N 01G-P3-1156-TR
-	0617  G92 [GeForce 9800M GTX]
-	0618  G92 [GeForce GTX 260M]
+	0617  G92M [GeForce 9800M GTX]
+	0618  G92M [GeForce GTX 260M]
 	0619  G92GL [Quadro FX 4700 X2]
-	061a  G92 [Quadro FX 3700]
+	061a  G92GL [Quadro FX 3700]
 	061b  G92GL [Quadro VX 200]
-	061c  G92M [Quadro FX 3600M]
-	061d  G92 [Quadro FX 2800M]
-	061e  G92 [Quadro FX 3700M]
-	061f  G92 [Quadro FX 3800M]
+	061c  G92GLM [Quadro FX 3600M]
+	061d  G92GLM [Quadro FX 2800M]
+	061e  G92GLM [Quadro FX 3700M]
+	061f  G92GLM [Quadro FX 3800M]
+	0620  G94 [GeForce 9800 GT]
+	0621  G94 [GeForce GT 230]
 	0622  G94 [GeForce 9600 GT]
 		107d 2ac1  WinFast PX9600GT 1024MB
 		1458 3481  GV-NX96T512HP
@@ -6697,85 +7963,123 @@
 	0625  G94 [GeForce 9600 GSO 512]
 	0626  G94 [GeForce GT 130]
 	0627  G94 [GeForce GT 140]
-	0628  G94 [GeForce 9800M GTS]
-	062a  G94 [GeForce 9700M GTS]
-	062b  G94 [GeForce 9800M GS]
-	062c  G94 [GeForce 9800M GTS]
+	0628  G94M [GeForce 9800M GTS]
+	062a  G94M [GeForce 9700M GTS]
+	062b  G94M [GeForce 9800M GS]
+	062c  G94M [GeForce 9800M GTS]
 	062d  G94 [GeForce 9600 GT]
 	062e  G94 [GeForce 9600 GT]
+	062f  G94 [GeForce 9800 S]
+	0630  G94 [GeForce 9600 GT]
 	0631  G94M [GeForce GTS 160M]
 	0632  G94M [GeForce GTS 150M]
+	0633  G94 [GeForce GT 220]
 	0635  G94 [GeForce 9600 GSO]
 	0637  G94 [GeForce 9600 GT]
-	0638  G94 [Quadro FX 1800]
-	063a  G94M [Quadro FX 2700M]
+	0638  G94GL [Quadro FX 1800]
+	063a  G94GLM [Quadro FX 2700M]
+	063f  G94 [GeForce 9600 GE]
 	0640  G96 [GeForce 9500 GT]
 	0641  G96 [GeForce 9400 GT]
 	0643  G96 [GeForce 9500 GT]
 	0644  G96 [GeForce 9500 GS]
 	0645  G96 [GeForce 9500 GS]
 	0646  G96 [GeForce GT 120]
-	0647  G96 [GeForce 9600M GT]
-	0648  G96 [GeForce 9600M GS]
-	0649  G96 [GeForce 9600M GT]
-	064a  G96 [GeForce 9700M GT]
-	064b  G96 [GeForce 9500M G]
-	064c  G96 [GeForce 9650M GT]
-	0651  G96 [GeForce G 110M]
-	0652  G96 [GeForce GT 130M]
+	0647  G96M [GeForce 9600M GT]
+	0648  G96M [GeForce 9600M GS]
+	0649  G96M [GeForce 9600M GT]
+	064a  G96M [GeForce 9700M GT]
+	064b  G96M [GeForce 9500M G]
+	064c  G96M [GeForce 9650M GT]
+	064d  G96 [GeForce 9600 GT]
+	064e  G96 [GeForce 9600 GT / 9800 GT]
+	0651  G96M [GeForce G 110M]
+	0652  G96M [GeForce GT 130M]
 	0653  G96M [GeForce GT 120M]
-	0654  G96 [GeForce GT 220M]
+	0654  G96M [GeForce GT 220M]
+	0655  G96 [GeForce GT 120]
 	0656  G96 [GeForce 9650 S]
-	0658  G96 [Quadro FX 380]
-	0659  G96 [Quadro FX 580]
-	065a  G96 [Quadro FX 1700M]
+	0658  G96GL [Quadro FX 380]
+	0659  G96GL [Quadro FX 580]
+	065a  G96GLM [Quadro FX 1700M]
 	065b  G96 [GeForce 9400 GT]
-	065c  G96M [Quadro FX 770M]
+	065c  G96GLM [Quadro FX 770M]
+	065d  G96 [GeForce 9500 GA / 9600 GT / GTS 250]
+	065f  G96 [GeForce G210]
 	06c0  GF100 [GeForce GTX 480]
+	06c4  GF100 [GeForce GTX 465]
+	06ca  GF100M [GeForce GTX 480M]
+	06cb  GF100 [GeForce GTX 480]
 	06cd  GF100 [GeForce GTX 470]
-	06d1  GF100 [Tesla C2050 / C2070]
-	06d2  GF100 [Tesla M2070]
-	06d8  GF100 [Quadro 6000]
-	06d9  GF100 [Quadro 5000]
-	06dd  GF100 [Quadro 4000]
-	06de  GF100 [Tesla S2050]
-	06df  GF100 [Tesla M2070Q]
+	06d1  GF100GL [Tesla C2050 / C2070]
+		10de 0771  Tesla C2050
+		10de 0772  Tesla C2070
+	06d2  GF100GL [Tesla M2070]
+		10de 0774  Tesla M2070
+		10de 0830  Tesla M2070
+		10de 0842  Tesla M2070
+		10de 088f  Tesla X2070
+		10de 0908  Tesla M2070
+	06d8  GF100GL [Quadro 6000]
+	06d9  GF100GL [Quadro 5000]
+	06da  GF100GLM [Quadro 5000M]
+	06dc  GF100GL [Quadro 6000]
+	06dd  GF100GL [Quadro 4000]
+	06de  GF100GL [Tesla T20 Processor]
+		10de 0773  Tesla S2050
+		10de 082f  Tesla M2050
+		10de 0840  Tesla X2070
+		10de 0842  Tesla M2050
+		10de 0846  Tesla M2050
+		10de 0866  Tesla M2050
+		10de 0907  Tesla M2050
+		10de 091e  Tesla M2050
+	06df  GF100GL [Tesla M2070-Q]
+		10de 084d  Tesla M2070-Q
+		10de 087f  Tesla M2070-Q
 	06e0  G98 [GeForce 9300 GE]
 	06e1  G98 [GeForce 9300 GS]
 	06e2  G98 [GeForce 8400]
 	06e3  G98 [GeForce 8300 GS]
-	06e4  G98 [GeForce 8400 GS]
+	06e4  G98 [GeForce 8400 GS Rev. 2]
 		1458 3475  GV-NX84S256HE [GeForce 8400 GS]
-	06e5  G98 [GeForce 9300M GS]
+	06e5  G98M [GeForce 9300M GS]
 	06e6  G98 [GeForce G 100]
 	06e7  G98 [GeForce 9300 SE]
-	06e8  G98 [GeForce 9200M GS]
-	06e9  G98 [GeForce 9300M GS]
+	06e8  G98M [GeForce 9200M GS]
+	06e9  G98M [GeForce 9300M GS]
 		1043 19b2  U6V laptop
-	06ea  G86M [Quadro NVS 150M]
+	06ea  G98M [Quadro NVS 150M]
 	06eb  G98M [Quadro NVS 160M]
 	06ec  G98M [GeForce G 105M]
+	06ed  G98 [GeForce 9600 GT / 9800 GT]
+	06ee  G98 [GeForce 9600 GT / 9800 GT]
 	06ef  G98M [GeForce G 103M]
 	06f1  G98M [GeForce G 105M]
 	06f8  G98 [Quadro NVS 420]
-	06f9  G98 [Quadro FX 370 LP]
+	06f9  G98GL [Quadro FX 370 LP]
 	06fa  G98 [Quadro NVS 450]
-	06fb  G98 [Quadro FX 370M]
+	06fb  G98GLM [Quadro FX 370M]
 	06fd  G98 [Quadro NVS 295]
 	06ff  G98 [HICx16 + Graphics]
+		10de 0711  HICx8 + Graphics
 	0751  MCP78S [GeForce 8200] Memory Controller
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 0751  K10N78FullHD-hSLI R3.0 Memory Controller
 	0752  MCP78S [GeForce 8200] SMBus
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 0752  K10N78FullHD-hSLI R3.0 SMBus
 	0753  MCP78S [GeForce 8200] Co-Processor
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 0753  K10N78FullHD-hSLI R3.0 Co-Processor
 	0754  MCP78S [GeForce 8200] Memory Controller
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 0754  K10N78FullHD-hSLI R3.0 Memory Controller
@@ -6784,18 +8088,22 @@
 		1462 7508  K9N2GM-FIH
 		1849 0759  K10N78FullHD-hSLI R3.0 IDE
 	075a  MCP78S [GeForce 8200] PCI Bridge
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1849 075a  K10N78FullHD-hSLI R3.0 PCI Bridge
 	075b  MCP78S [GeForce 8200] PCI Express Bridge
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 075b  K10N78FullHD-hSLI R3.0 PCI Express Bridge
 	075c  MCP78S [GeForce 8200] LPC Bridge
+		103c 2a9e  Pavilion p6310f
 		1462 7508  K9N2GM-FIH
 		1849 075c  K10N78FullHD-hSLI R3.0 LPC Bridge
 	075d  MCP78S [GeForce 8200] LPC Bridge
 		1043 82e8  M3N72-D
 	0760  MCP77 Ethernet
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 0760  K10N78FullHD-hSLI R3.0 Ethernet
@@ -6803,31 +8111,38 @@
 	0762  MCP77 Ethernet
 	0763  MCP77 Ethernet
 	0774  MCP72XE/MCP72P/MCP78U/MCP78S High Definition Audio
+		103c 2a9e  Pavilion p6310f
 # has a Realtek ALC1200 HDAudio Codec
 		1043 82fe  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 3662  K10N78FullHD-hSLI R3.0 High Definition Audio
 	0778  MCP78S [GeForce 8200] PCI Express Bridge
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 0778  K10N78FullHD-hSLI R3.0 PCI Express Bridge
 	077a  MCP78S [GeForce 8200] PCI Bridge
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 077a  K10N78FullHD-hSLI R3.0 PCI Bridge
 	077b  MCP78S [GeForce 8200] OHCI USB 1.1 Controller
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 077b  K10N78FullHD-hSLI R3.0 OHCI USB 1.1 Controller
 	077c  MCP78S [GeForce 8200] EHCI USB 2.0 Controller
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 077c  K10N78FullHD-hSLI R3.0 EHCI USB 2.0 Controller
 	077d  MCP78S [GeForce 8200] OHCI USB 1.1 Controller
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 077d  K10N78FullHD-hSLI R3.0 OHCI USB 1.1 Controller
 	077e  MCP78S [GeForce 8200] EHCI USB 2.0 Controller
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1462 7508  K9N2GM-FIH
 		1849 077e  K10N78FullHD-hSLI R3.0 EHCI USB 2.0 Controller
@@ -6903,13 +8218,14 @@
 	0845  C77 [GeForce 8200M G]
 	0846  C77 [GeForce 9200]
 	0847  C78 [GeForce 9100]
+		103c 2a9e  Pavilion p6310f
 	0848  C77 [GeForce 8300]
 	0849  C77 [GeForce 8200]
 		1462 7508  K9N2GM-FIH
 		1849 0849  K10N78FullHD-hSLI R3.0 GeForce 8200
 	084a  C77 [nForce 730a]
 	084b  C77 [GeForce 8200]
-	084c  C77 [nForce 780a SLI]
+	084c  C77 [nForce 780a/980a SLI]
 	084d  C77 [nForce 750a SLI]
 		1043 82e8  M3N72-D mGPU
 	084f  C77 [GeForce 8100 / nForce 720a]
@@ -6918,10 +8234,12 @@
 	0862  C79 [GeForce 9400M G]
 	0863  C79 [GeForce 9400M]
 	0864  C79 [GeForce 9300]
-	0865  C79 [GeForce 9300]
+	0865  C79 [GeForce 9300/ION]
 	0866  C79 [GeForce 9400M G]
 	0867  C79 [GeForce 9400]
+		106b 00ad  iMac 9,1
 	0868  C79 [nForce 760i SLI]
+	0869  MCP7A [GeForce 9400]
 	086a  C79 [GeForce 9400]
 	086c  C79 [GeForce 9300 / nForce 730i]
 	086d  C79 [GeForce 9200]
@@ -6930,7 +8248,14 @@
 	0870  C79 [GeForce 9400M]
 	0871  C79 [GeForce 9200]
 	0872  C79 [GeForce G102M]
+		1043 19b4  GeForce G102M
+		1043 1aa2  GeForce G102M
+		1043 1c02  GeForce G102M
+		1043 1c42  GeForce G205M
 	0873  C79 [GeForce G102M]
+		1043 19b4  GeForce G102M
+		1043 1c12  GeForce G102M
+		1043 1c52  GeForce G205M
 	0874  C79 [ION]
 	0876  ION VGA [GeForce 9400M]
 	087a  C79 [GeForce 9400]
@@ -6938,21 +8263,28 @@
 		19da a123  IONITX-F-E
 	087e  ION LE VGA
 	087f  ION LE VGA
+	08a2  MCP89 [GeForce 320M]
 	08a3  MCP89 [GeForce 320M]
 	08a4  MCP89 [GeForce 320M]
 	0a20  GT216 [GeForce GT 220]
 		1043 8311  ENGT220/DI/1GD3(LP)/V2
-	0a23  GT218 [GeForce 210]
-	0a28  GT216 [GeForce GT 230M]
-	0a29  GT216 [GeForce GT 330M]
-	0a2a  GT216 [GeForce GT 230M]
-	0a2b  GT216 [GeForce GT 330M]
-	0a2c  GT216 [NVS 5100M]
-	0a2d  GT216 [GeForce GT 320M]
-	0a34  GT216 [GeForce GT 240M]
-	0a35  GT216 [GeForce GT 325M]
+	0a21  GT216M [GeForce GT 330M]
+	0a22  GT216 [GeForce 315]
+	0a23  GT216 [GeForce 210]
+	0a26  GT216 [GeForce 405]
+	0a27  GT216 [GeForce 405]
+	0a28  GT216M [GeForce GT 230M]
+	0a29  GT216M [GeForce GT 330M]
+	0a2a  GT216M [GeForce GT 230M]
+	0a2b  GT216M [GeForce GT 330M]
+	0a2c  GT216M [NVS 5100M]
+	0a2d  GT216M [GeForce GT 320M]
+	0a30  GT216 [GeForce 505]
+	0a32  GT216 [GeForce GT 415]
+	0a34  GT216M [GeForce GT 240M]
+	0a35  GT216M [GeForce GT 325M]
 	0a38  GT216GL [Quadro 400]
-	0a3c  GT216 [Quadro FX 880M]
+	0a3c  GT216GLM [Quadro FX 880M]
 	0a60  GT218 [GeForce G210]
 	0a62  GT218 [GeForce 205]
 	0a63  GT218 [GeForce 310]
@@ -6960,22 +8292,26 @@
 	0a65  GT218 [GeForce 210]
 		1043 8334  EN210 SILENT
 	0a66  GT218 [GeForce 310]
-	0a68  G98M [GeForce G105M]
-	0a69  G98M [GeForce G105M]
-	0a6a  GT218 [NVS 2100M]
-	0a6c  GT218 [NVS 3100M]
+	0a67  GT218 [GeForce 315]
+	0a68  GT218M [GeForce G 105M]
+	0a69  GT218M [GeForce G 105M]
+	0a6a  GT218M [NVS 2100M]
+	0a6c  GT218M [NVS 3100M]
 		1028 040b  Latitude E6510
 		17aa 2142  ThinkPad T410
-	0a6e  GT218 [GeForce 305M]
+	0a6e  GT218M [GeForce 305M]
 	0a6f  GT218 [ION]
-	0a70  GT218 [GeForce 310M]
-	0a71  GT218 [GeForce 305M]
-	0a72  GT218 [GeForce 310M]
-	0a73  GT218 [GeForce 305M]
-	0a74  GT218 [GeForce G210M]
-	0a75  GT218 [GeForce 310M]
+	0a70  GT218M [GeForce 310M]
+	0a71  GT218M [GeForce 305M]
+	0a72  GT218M [GeForce 310M]
+	0a73  GT218M [GeForce 305M]
+	0a74  GT218M [GeForce G210M]
+	0a75  GT218M [GeForce 310M]
+	0a76  GT218 [ION 2]
 	0a78  GT218GL [Quadro FX 380 LP]
-	0a7c  GT218 [Quadro FX 380M]
+	0a7a  GT218M [GeForce 315M]
+	0a7b  GT218 [GeForce 505]
+	0a7c  GT218GLM [Quadro FX 380M]
 	0a80  MCP79 Host Bridge
 	0a81  MCP79 Host Bridge
 	0a82  MCP79 Host Bridge
@@ -6986,30 +8322,42 @@
 	0a87  MCP79 Host Bridge
 	0a88  MCP79 Memory Controller
 	0a89  MCP79 Memory Controller
+	0a98  MCP79 Memory Controller
+		10de cb79  iMac 9,1
 	0aa0  MCP79 PCI Express Bridge
+		10de cb79  Apple iMac 9,1
 	0aa2  MCP79 SMBus
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0aa3  MCP79 Co-processor
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0aa4  MCP79 Memory Controller
 		19da a123  IONITX-F-E
 	0aa5  MCP79 OHCI USB 1.1 Controller
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0aa6  MCP79 EHCI USB 2.0 Controller
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0aa7  MCP79 OHCI USB 1.1 Controller
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0aa8  MCP79 OHCI USB 1.1 Controller
 	0aa9  MCP79 EHCI USB 2.0 Controller
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0aaa  MCP79 EHCI USB 2.0 Controller
 	0aab  MCP79 PCI Bridge
+		10de cb79  Apple iMac 9,1
 	0aac  MCP79 LPC Bridge
 	0aad  MCP79 LPC Bridge
 		19da a123  IONITX-F-E
 	0aae  MCP79 LPC Bridge
+		10de cb79  Apple iMac 9,1
 	0aaf  MCP79 LPC Bridge
 	0ab0  MCP79 Ethernet
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0ab1  MCP79 Ethernet
 	0ab2  MCP79 Ethernet
@@ -7021,6 +8369,7 @@
 	0ab7  MCP79 SATA Controller
 	0ab8  MCP79 AHCI Controller
 	0ab9  MCP79 AHCI Controller
+		10de cb79  Apple iMac 9,1
 	0aba  MCP79 AHCI Controller
 	0abb  MCP79 AHCI Controller
 	0abc  MCP79 RAID Controller
@@ -7028,18 +8377,23 @@
 	0abe  MCP79 RAID Controller
 	0abf  MCP79 RAID Controller
 	0ac0  MCP79 High Definition Audio
+		10de cb79  Apple iMac 9,1
 	0ac1  MCP79 High Definition Audio
 	0ac2  MCP79 High Definition Audio
 	0ac3  MCP79 High Definition Audio
 	0ac4  MCP79 PCI Express Bridge
+		10de cb79  Apple iMac 9,1
 	0ac5  MCP79 PCI Express Bridge
 	0ac6  MCP79 PCI Express Bridge
+		10de cb79  Apple iMac 9,1
 	0ac7  MCP79 PCI Express Bridge
+		10de cb79  Apple iMac 9,1
 	0ac8  MCP79 PCI Express Bridge
 	0ad0  MCP78S [GeForce 8200] SATA Controller (non-AHCI mode)
 		1462 7508  K9N2GM-FIH
 		1849 0ad0  K10N78FullHD-hSLI R3.0 IDE
 	0ad4  MCP78S [GeForce 8200] AHCI Controller
+		103c 2a9e  Pavilion p6310f
 		1043 82e8  M3N72-D
 		1849 0ad4  K10N78FullHD-hSLI R3.0 AHCI Controller
 	0ad8  MCP78S [GeForce 8200] SATA Controller (RAID mode)
@@ -7052,6 +8406,7 @@
 	0be5  GF100 High Definition Audio Controller
 	0be9  GF106 High Definition Audio Controller
 		1558 8687  CLEVO/KAPOK W860CU
+		3842 1452  GeForce GTS 450
 	0bea  GF108 High Definition Audio Controller
 		3842 1430  GeForce GT 430
 	0beb  GF104 High Definition Audio Controller
@@ -7061,13 +8416,15 @@
 	0ca2  GT215 [GeForce GT 320]
 	0ca3  GT215 [GeForce GT 240]
 	0ca4  GT215 [GeForce GT 340]
+	0ca5  GT215 [GeForce GT 220]
 	0ca7  GT215 [GeForce GT 330]
-	0ca8  GT215 [GeForce GTS 260M]
-	0ca9  GT215 [GeForce GTS 250M]
-	0caf  GT215 [GeForce GT 335M]
-	0cb0  GT215 [GeForce GTS 350M]
-	0cb1  GT215 [GeForce GTS 360M]
-	0cbc  GT215 [Quadro FX 1800M]
+	0ca8  GT215M [GeForce GTS 260M]
+	0ca9  GT215M [GeForce GTS 250M]
+	0cac  GT215 [GeForce GT 220/315]
+	0caf  GT215M [GeForce GT 335M]
+	0cb0  GT215M [GeForce GTS 350M]
+	0cb1  GT215M [GeForce GTS 360M]
+	0cbc  GT215GLM [Quadro FX 1800M]
 	0d60  MCP89 HOST Bridge
 	0d68  MCP89 Memory Controller
 	0d69  MCP89 Memory Controller
